package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.SmsSwitch;
import com.lightinit.hsdataportal.entity.SmsSwitchExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SmsSwitchMapper {
    long countByExample(SmsSwitchExample example);

    int deleteByExample(SmsSwitchExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SmsSwitch record);

    int insertSelective(SmsSwitch record);

    List<SmsSwitch> selectByExample(SmsSwitchExample example);

    SmsSwitch selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SmsSwitch record, @Param("example") SmsSwitchExample example);

    int updateByExample(@Param("record") SmsSwitch record, @Param("example") SmsSwitchExample example);

    int updateByPrimaryKeySelective(SmsSwitch record);

    int updateByPrimaryKey(SmsSwitch record);
}